Bug 22533 - Cannot create manual invoices
Summary: Cannot create manual invoices
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Liz Rea
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 14591
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-18 17:36 UTC by Nick Clemens
Modified: 2019-03-25 14:47 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22533: maninvoice.pl is using deprecated maininvoice() method (1.17 KB, patch)
2019-03-19 17:55 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22533: maninvoice.pl is using deprecated maininvoice() method (1.23 KB, patch)
2019-03-21 01:14 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22533: Fix manual invoices from patron accounting (1.22 KB, patch)
2019-03-21 15:04 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22533: Fix manual invoices from patron accounting (1.32 KB, patch)
2019-03-22 06:53 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-03-18 17:36:17 UTC

    
Comment 1 Liz Rea 2019-03-19 17:55:33 UTC
Created attachment 86757 [details] [review]
Bug 22533: maninvoice.pl is using deprecated maininvoice() method

To test:
Attempt to create a manual fine from the patron accounting page, it
should fail.
Apply this patch, restart the things
Attempt to create a manual fine from the patron accounting page, it
should succeed.
Comment 2 Hayley Mapley 2019-03-21 01:14:43 UTC
Created attachment 86838 [details] [review]
Bug 22533: maninvoice.pl is using deprecated maininvoice() method

To test:
Attempt to create a manual fine from the patron accounting page, it
should fail.
Apply this patch, restart the things
Attempt to create a manual fine from the patron accounting page, it
should succeed.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 3 Tomás Cohen Arazi 2019-03-21 11:10:42 UTC
While this fixes a bug, we should move forward with bug 22393, which completely removes the use of manualinvoice.
Comment 4 Martin Renvoize 2019-03-21 11:22:16 UTC
Sorry, I'd been meaning to get to this one.

I think this is a reasonable temporary fix to get master happy again.. bug 22393 isn't ready for testing as is yet.. unfortunately it turned into a bit of a monster (see the dependency tree above it) which I'm working my way through presently.

I actually think this bug is also somewhat mis-described, it's a circular dependency issue if I'm reading it right. Which I believe was introduced by the re-arrangement of use statements in the new overdues work bu (sorry, I missed it during QA :( ).

In short.. I'd say go for this one whilst I continue to get the tree for 22393 into a good state for testing and qa.
Comment 5 Liz Rea 2019-03-21 15:04:33 UTC
Created attachment 86851 [details] [review]
Bug 22533: Fix manual invoices from patron accounting

To test:
Attempt to create a manual fine from the patron accounting page, it
should fail.
Apply this patch, restart the things
Attempt to create a manual fine from the patron accounting page, it
should succeed.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 6 Marcel de Rooy 2019-03-22 06:53:22 UTC
Created attachment 86873 [details] [review]
Bug 22533: Fix manual invoices from patron accounting

To test:
Attempt to create a manual fine from the patron accounting page, it
should fail.
Apply this patch, restart the things
Attempt to create a manual fine from the patron accounting page, it
should succeed.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Martin Renvoize 2019-03-22 07:49:44 UTC
Thanks Marcel, I just didn't get a chance to do the final qa on this yesterday with meetings.. nice to come to it this morning and see you've stepped into the breach.. Go Team! :)
Comment 8 Nick Clemens 2019-03-22 20:35:00 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-03-25 14:47:08 UTC
Causation bug not in 18.11.x series.